<?php
declare(strict_types=1);

namespace IntiTest\Wp\Provider\Type\Post;

use Inti\Wp\Provider\Type\Post\Post;
use IntiTest\Wp\Provider\TestCaseTrait;
use PHPUnit\Framework\TestCase;

final class PostTest extends TestCase
{
    use TestCaseTrait;

    protected function setUp(): void
    {
        $this->setUpWordPress();
    }

    public function testCanGetBuiltinPostTypeData()
    {
        $this->runApplication();

        $post = Post::instance();
        $this->assertEquals('Posts', $post->getLabel());
    }
}
